.. _rascil_examples:

Examples
========

Running notebooks
*****************

The best way to get familiar with RASCIL is via jupyter notebooks. For example::

   jupyter examples/notebooks/imaging.ipynb


See the jupyter note books below:

.. toctree::
   :maxdepth: 3

   examples/notebooks/imaging.rst
   examples/notebooks/imaging-wterm_rsexecute.rst
   examples/notebooks/simple-dask_rsexecute.rst
   examples/notebooks/imaging-pipelines_rsexecute.rst
   examples/notebooks//bandpass-calibration_rsexecute.rst

In addition, there are other notebooks in examples/notebooks that are not built as part of this documentation.

Running scripts
***************

Some example scripts are found in the directory examples/scripts.

.. toctree::
   :maxdepth: 3

   examples/scripts/imaging.rst
   examples/scripts/dprepb_rsexecute_pipeline.rst
   examples/scripts/imaging_sim2.rst
   examples/scripts/primary_beam_zernikes.rst

SKA simulations
***************

The SKA simulations make full use of the capabilities of RASCIL.

.. toctree::
   :maxdepth: 1

   examples/ska_simulations/surface_simulation.rst
   examples/ska_simulations/pointing_simulation.rst
   examples/ska_simulations/atmospheric_simulation.rst

* :ref:`genindex`
* :ref:`modindex`

.. _feedback: mailto:realtimcornwell@gmail.com

